diff --git a/Common-MP-TVE3/SolutionInfo.cs b/Common-MP-TVE3/SolutionInfo.cs
index f96427d..56c259a 100644
--- a/Common-MP-TVE3/SolutionInfo.cs
+++ b/Common-MP-TVE3/SolutionInfo.cs
@@ -18,9 +18,7 @@
 
 #endregion
 
-using System;
 using System.Reflection;
-//using MediaPortal.Common.Utils;
 
 //
 // General Information about an assembly is controlled through the following 
diff --git a/DirectShowFilters/dvblib/dvblib.vcxproj b/DirectShowFilters/dvblib/dvblib.vcxproj
index 7f0da03..9183a79 100644
--- a/DirectShowFilters/dvblib/dvblib.vcxproj
+++ b/DirectShowFilters/dvblib/dvblib.vcxproj
@@ -1,5 +1,5 @@
 ﻿<?xml version="1.0" encoding="utf-8"?>
-<Project DefaultTargets="Build" ToolsVersion="12.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
+<Project DefaultTargets="Build" ToolsVersion="14.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
   <ItemGroup Label="ProjectConfigurations">
     <ProjectConfiguration Include="Debug|Win32">
       <Configuration>Debug</Configuration>
@@ -24,16 +24,16 @@
     <ConfigurationType>DynamicLibrary</ConfigurationType>
     <UseOfMfc>Static</UseOfMfc>
     <CharacterSet>MultiByte</CharacterSet>
-    <PlatformToolset>v120_xp</PlatformToolset>
+    <PlatformToolset>v140_xp</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|Win32'" Label="Configuration">
     <ConfigurationType>DynamicLibrary</ConfigurationType>
     <UseOfMfc>false</UseOfMfc>
     <CharacterSet>MultiByte</CharacterSet>
-    <PlatformToolset>v120_xp</PlatformToolset>
+    <PlatformToolset>v140_xp</PlatformToolset>
   </PropertyGroup>
   <PropertyGroup Label="Configuration" Condition="'$(Configuration)|$(Platform)'=='Template|Win32'">
-    <PlatformToolset>v120_xp</PlatformToolset>
+    <PlatformToolset>v140_xp</PlatformToolset>
     <CharacterSet>MultiByte</CharacterSet>
   </PropertyGroup>
   <Import Project="$(VCTargetsPath)\Microsoft.Cpp.props" />
diff --git a/Tools/MPLanguageTool/MPLanguageTool.csproj b/Tools/MPLanguageTool/MPLanguageTool.csproj
index ae1fbec..d385a40 100644
--- a/Tools/MPLanguageTool/MPLanguageTool.csproj
+++ b/Tools/MPLanguageTool/MPLanguageTool.csproj
@@ -1,4 +1,5 @@
-﻿<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="3.5">
+﻿<?xml version="1.0" encoding="utf-8"?>
+<Project DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003" ToolsVersion="14.0">
   <PropertyGroup>
     <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
     <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
@@ -9,6 +10,28 @@
     <AppDesignerFolder>Properties</AppDesignerFolder>
     <RootNamespace>MPLanguageTool</RootNamespace>
     <AssemblyName>MPLanguageTool</AssemblyName>
+    <TargetFrameworkVersion>v4.0</TargetFrameworkVersion>
+    <FileUpgradeFlags>
+    </FileUpgradeFlags>
+    <UpgradeBackupLocation>
+    </UpgradeBackupLocation>
+    <OldToolsVersion>3.5</OldToolsVersion>
+    <TargetFrameworkProfile />
+    <PublishUrl>publish\</PublishUrl>
+    <Install>true</Install>
+    <InstallFrom>Disk</InstallFrom>
+    <UpdateEnabled>false</UpdateEnabled>
+    <UpdateMode>Foreground</UpdateMode>
+    <UpdateInterval>7</UpdateInterval>
+    <UpdateIntervalUnits>Days</UpdateIntervalUnits>
+    <UpdatePeriodically>false</UpdatePeriodically>
+    <UpdateRequired>false</UpdateRequired>
+    <MapFileExtensions>true</MapFileExtensions>
+    <ApplicationRevision>0</ApplicationRevision>
+    <ApplicationVersion>1.0.0.%2a</ApplicationVersion>
+    <IsWebBootstrapper>false</IsWebBootstrapper>
+    <UseApplicationTrust>false</UseApplicationTrust>
+    <BootstrapperEnabled>true</BootstrapperEnabled>
   </PropertyGroup>
   <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
     <DebugSymbols>true</DebugSymbols>
@@ -88,6 +111,7 @@
       <DependentUpon>Resources.resx</DependentUpon>
       <DesignTime>True</DesignTime>
     </Compile>
+    <None Include="app.config" />
     <None Include="Properties\Settings.settings">
       <Generator>SettingsSingleFileGenerator</Generator>
       <LastGenOutput>Settings.Designer.cs</LastGenOutput>
@@ -110,6 +134,13 @@
       <DependentUpon>SelectCulture.cs</DependentUpon>
     </Compile>
   </ItemGroup>
+  <ItemGroup>
+    <BootstrapperPackage Include="Microsoft.Net.Framework.3.5.SP1">
+      <Visible>False</Visible>
+      <ProductName>.NET Framework 3.5 SP1</ProductName>
+      <Install>true</Install>
+    </BootstrapperPackage>
+  </ItemGroup>
   <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
        Other similar extension points exist, see Microsoft.Common.targets.
diff --git a/Tools/MPLanguageTool/MPLanguageTool.sln b/Tools/MPLanguageTool/MPLanguageTool.sln
index 4459555..a3334c4 100644
--- a/Tools/MPLanguageTool/MPLanguageTool.sln
+++ b/Tools/MPLanguageTool/MPLanguageTool.sln
@@ -1,6 +1,8 @@
 ﻿
-Microsoft Visual Studio Solution File, Format Version 10.00
-# Visual Studio 2008
+Microsoft Visual Studio Solution File, Format Version 12.00
+# Visual Studio 14
+VisualStudioVersion = 14.0.25420.1
+MinimumVisualStudioVersion = 10.0.40219.1
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "MPLanguageTool", "MPLanguageTool.csproj", "{C730AED2-D548-4C07-A65D-676E126A88A5}"
 EndProject
 Global
diff --git a/Tools/MPLanguageTool/Properties/Resources.Designer.cs b/Tools/MPLanguageTool/Properties/Resources.Designer.cs
index 18c0894..57a845a 100644
--- a/Tools/MPLanguageTool/Properties/Resources.Designer.cs
+++ b/Tools/MPLanguageTool/Properties/Resources.Designer.cs
@@ -1,7 +1,7 @@
 ﻿//------------------------------------------------------------------------------
 // <auto-generated>
 //     This code was generated by a tool.
-//     Runtime Version:2.0.50727.4016
+//     Runtime Version:4.0.30319.42000
 //
 //     Changes to this file may cause incorrect behavior and will be lost if
 //     the code is regenerated.
@@ -19,7 +19,7 @@ namespace MPLanguageTool.Properties {
     // class via a tool like ResGen or Visual Studio.
     // To add or remove a member, edit your .ResX file then rerun ResGen
     // with the /str option, or rebuild your VS project.
-    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "2.0.0.0")]
+    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "4.0.0.0")]
     [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
     [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
     internal class Resources {
diff --git a/Tools/MPLanguageTool/Properties/Settings.Designer.cs b/Tools/MPLanguageTool/Properties/Settings.Designer.cs
index 9e9641d..946aca3 100644
--- a/Tools/MPLanguageTool/Properties/Settings.Designer.cs
+++ b/Tools/MPLanguageTool/Properties/Settings.Designer.cs
@@ -1,7 +1,7 @@
 ﻿//------------------------------------------------------------------------------
 // <auto-generated>
 //     This code was generated by a tool.
-//     Runtime Version:2.0.50727.4016
+//     Runtime Version:4.0.30319.42000
 //
 //     Changes to this file may cause incorrect behavior and will be lost if
 //     the code is regenerated.
@@ -12,7 +12,7 @@ namespace MPLanguageTool.Properties {
     
     
     [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
-    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.VisualStudio.Editors.SettingsDesigner.SettingsSingleFileGenerator", "9.0.0.0")]
+    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("Microsoft.VisualStudio.Editors.SettingsDesigner.SettingsSingleFileGenerator", "14.0.0.0")]
     internal sealed partial class Settings : global::System.Configuration.ApplicationSettingsBase {
         
         private static Settings defaultInstance = ((Settings)(global::System.Configuration.ApplicationSettingsBase.Synchronized(new Settings())));
diff --git a/Tools/MPLanguageTool/Resource1.Designer.cs b/Tools/MPLanguageTool/Resource1.Designer.cs
index ca89292..07b8a53 100644
--- a/Tools/MPLanguageTool/Resource1.Designer.cs
+++ b/Tools/MPLanguageTool/Resource1.Designer.cs
@@ -1,7 +1,7 @@
 ﻿//------------------------------------------------------------------------------
 // <auto-generated>
 //     This code was generated by a tool.
-//     Runtime Version:2.0.50727.4016
+//     Runtime Version:4.0.30319.42000
 //
 //     Changes to this file may cause incorrect behavior and will be lost if
 //     the code is regenerated.
@@ -19,7 +19,7 @@ namespace MPLanguageTool {
     // class via a tool like ResGen or Visual Studio.
     // To add or remove a member, edit your .ResX file then rerun ResGen
     // with the /str option, or rebuild your VS project.
-    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "2.0.0.0")]
+    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "4.0.0.0")]
     [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
     [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
     internal class Resource1 {
diff --git a/TvEngine3/TVLibrary/Plugins/PersonalTVGuide/ClientPlugin/TVServerWishList.cs b/TvEngine3/TVLibrary/Plugins/PersonalTVGuide/ClientPlugin/TVServerWishList.cs
index d34e38f..528010b 100644
--- a/TvEngine3/TVLibrary/Plugins/PersonalTVGuide/ClientPlugin/TVServerWishList.cs
+++ b/TvEngine3/TVLibrary/Plugins/PersonalTVGuide/ClientPlugin/TVServerWishList.cs
@@ -92,7 +92,7 @@ namespace PersonalTVGuide
           item.Label = prog.Title;
           if (prog.EpisodeNum != String.Empty) item.Label += "\n" + prog.EpisodeNum;
           item.Label2 = String.Format("{0} {1} - {2}",
-                                      Utils.GetShortDayString(prog.StartTime),
+                                      prog.StartTime.ToString(GUILocalizeStrings.Get(20000)),              // Utils.GetShortDayString(prog.StartTime),
                                       prog.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat),
                                       prog.EndTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
           string strLogo = Utils.GetCoverArt(Thumbs.TVChannel, prog.ReferencedChannel().Name);
diff --git a/TvEngine3/TVLibrary/SetupTv/Sections/TvSchedules.cs b/TvEngine3/TVLibrary/SetupTv/Sections/TvSchedules.cs
index 0c1d64c..205af73 100644
--- a/TvEngine3/TVLibrary/SetupTv/Sections/TvSchedules.cs
+++ b/TvEngine3/TVLibrary/SetupTv/Sections/TvSchedules.cs
@@ -26,7 +26,6 @@ using System.Globalization;
 using TvControl;
 using TvDatabase;
 using MediaPortal.UserInterface.Controls;
-
 namespace SetupTv.Sections
 {
   public partial class TvSchedules : SectionSettings
@@ -87,7 +86,7 @@ namespace SetupTv.Sections
           case ScheduleRecordingType.Once:
             item.ImageIndex = 1;
             item.SubItems.Add("Once");
-            item.SubItems.Add(String.Format("{0}", schedule.StartTime.ToString("dd-MM-yyyy HH:mm:ss", mmddFormat)));
+            item.SubItems.Add(String.Format("{0}", schedule.StartTime.ToString("yyyy-MM-dd HH:mm:ss", mmddFormat)));
             break;
           case ScheduleRecordingType.WeeklyEveryTimeOnThisChannel:
             item.ImageIndex = 0;
diff --git a/TvEngine3/TVLibrary/SetupTv/SetupTv.csproj b/TvEngine3/TVLibrary/SetupTv/SetupTv.csproj
index f835ff1..0557952 100644
--- a/TvEngine3/TVLibrary/SetupTv/SetupTv.csproj
+++ b/TvEngine3/TVLibrary/SetupTv/SetupTv.csproj
@@ -381,9 +381,7 @@
     <EmbeddedResource Include="create_mysql_database.sql" />
     <EmbeddedResource Include="create_sqlserver_database.sql" />
     <EmbeddedResource Include="SetupTv.exe.manifest" />
-    <Compile Include="SearchSHOUTcast.cs">
-      <SubType>Form</SubType>
-    </Compile>
+    <Compile Include="SearchSHOUTcast.cs" />
     <Compile Include="Sections\CardAnalog.cs">
       <SubType>UserControl</SubType>
     </Compile>
diff --git a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/GuideBase.cs b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/GuideBase.cs
index 6437fee..0b29e08 100644
--- a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/GuideBase.cs
+++ b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/GuideBase.cs
@@ -416,36 +416,37 @@ namespace TvPlugin
 
 
         string day;
-        switch (_viewingTime.DayOfWeek)
-        {
-          case DayOfWeek.Monday:
-            day = GUILocalizeStrings.Get(657);
-            break;
-          case DayOfWeek.Tuesday:
-            day = GUILocalizeStrings.Get(658);
-            break;
-          case DayOfWeek.Wednesday:
-            day = GUILocalizeStrings.Get(659);
-            break;
-          case DayOfWeek.Thursday:
-            day = GUILocalizeStrings.Get(660);
-            break;
-          case DayOfWeek.Friday:
-            day = GUILocalizeStrings.Get(661);
-            break;
-          case DayOfWeek.Saturday:
-            day = GUILocalizeStrings.Get(662);
-            break;
-          default:
-            day = GUILocalizeStrings.Get(663);
-            break;
-        }
+                //switch (_viewingTime.DayOfWeek)
+                //{
+                //  case DayOfWeek.Monday:
+                //    day = GUILocalizeStrings.Get(657);
+                //    break;
+                //  case DayOfWeek.Tuesday:
+                //    day = GUILocalizeStrings.Get(658);
+                //    break;
+                //  case DayOfWeek.Wednesday:
+                //    day = GUILocalizeStrings.Get(659);
+                //    break;
+                //  case DayOfWeek.Thursday:
+                //    day = GUILocalizeStrings.Get(660);
+                //    break;
+                //  case DayOfWeek.Friday:
+                //    day = GUILocalizeStrings.Get(661);
+                //    break;
+                //  case DayOfWeek.Saturday:
+                //    day = GUILocalizeStrings.Get(662);
+                //    break;
+                //  default:
+                //    day = GUILocalizeStrings.Get(663);
+                //    break;
+                //}
+                day = _viewingTime.ToString("ddd");
         GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.View.SDOW", day);
         GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.View.Month", _viewingTime.Month.ToString());
         GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.View.Day", _viewingTime.Day.ToString());
 
-        //day = String.Format("{0} {1}-{2}", day, _viewingTime.Day, _viewingTime.Month);
-        day = Utils.GetShortDayString(_viewingTime);
+                //day = String.Format("{0} {1}-{2}", day, _viewingTime.Day, _viewingTime.Month);
+        day = _viewingTime.ToString(GUILocalizeStrings.Get(20000)); // Utils.GetShortDayString(_viewingTime);
         GUIPropertyManager.SetProperty(SkinPropertyPrefix + ".Guide.Day", day);
 
         //2004 03 31 22 20 00
diff --git a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/RadioGuideBase.cs b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/RadioGuideBase.cs
index ff1fe16..13177ca 100644
--- a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/RadioGuideBase.cs
+++ b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/RadioGuideBase.cs
@@ -1624,7 +1624,7 @@ namespace TvPlugin
 
         if (program.StartTime.DayOfYear != _viewingTime.DayOfYear)
         {
-          img.Label1 = String.Format("{0} {1}", Utils.GetShortDayString(program.StartTime),
+          img.Label1 = String.Format("{0} {1}", program.StartTime.ToString(GUILocalizeStrings.Get(20000)), // Utils.GetShortDayString(program.StartTime),
                                      TVUtil.GetDisplayTitle(program));
         }
 
diff --git a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/RadioRecorded.cs b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/RadioRecorded.cs
index 0d13062..21d1a0e 100644
--- a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/RadioRecorded.cs
+++ b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/RadioRecorded.cs
@@ -1367,7 +1367,7 @@ namespace TvPlugin
           return;
         }
         string strTime = string.Format("{0} {1} - {2}",
-                                       Utils.GetShortDayString(rec.StartTime),
+                                       rec.StartTime.ToString(GUILocalizeStrings.Get(20000)),      // Utils.GetShortDayString(rec.StartTime),
                                        rec.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat),
                                        rec.EndTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
 
diff --git a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/RadioSearch.cs b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/RadioSearch.cs
index 877c229..7f2d4d7 100644
--- a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/RadioSearch.cs
+++ b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/RadioSearch.cs
@@ -627,7 +627,7 @@ namespace TvPlugin
               }
 
               string strTime = String.Format("{0} {1}",
-                                             Utils.GetShortDayString(program.StartTime),
+                                             program.StartTime.ToString(GUILocalizeStrings.Get(20000)),     //Utils.GetShortDayString(program.StartTime),
                                              program.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
               if (filterEpisode != String.Empty && strTime != filterEpisode)
               {
@@ -635,7 +635,7 @@ namespace TvPlugin
               }
 
               strTime = String.Format("{0} {1} - {2}",
-                                      Utils.GetShortDayString(program.StartTime),
+                                      program.StartTime.ToString(GUILocalizeStrings.Get(20000)),     //Utils.GetShortDayString(program.StartTime),
                                       program.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat),
                                       program.EndTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
 
@@ -781,7 +781,7 @@ namespace TvPlugin
               }
 
               string strTime = String.Format("{0} {1} - {2}",
-                                             Utils.GetShortDayString(program.StartTime),
+                                             program.StartTime.ToString(GUILocalizeStrings.Get(20000)),     //Utils.GetShortDayString(program.StartTime),
                                              program.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat),
                                              program.EndTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
 
@@ -886,7 +886,7 @@ namespace TvPlugin
               }
 
               string strTime = String.Format("{0} {1}",
-                                             Utils.GetShortDayString(program.StartTime),
+                                             program.StartTime.ToString(GUILocalizeStrings.Get(20000)),     //Utils.GetShortDayString(program.StartTime),
                                              program.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
               if (filterEpisode != String.Empty && strTime != filterEpisode)
               {
@@ -894,7 +894,7 @@ namespace TvPlugin
               }
 
               strTime = String.Format("{0} {1} - {2}",
-                                      Utils.GetShortDayString(program.StartTime),
+                                      program.StartTime.ToString(GUILocalizeStrings.Get(20000)),     //Utils.GetShortDayString(program.StartTime),
                                       program.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat),
                                       program.EndTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
 
@@ -964,7 +964,7 @@ namespace TvPlugin
         foreach (Program prog in episodes)
         {
           string strTime = String.Format("{0} {1}",
-                                         Utils.GetShortDayString(prog.StartTime),
+                                         prog.StartTime.ToString(GUILocalizeStrings.Get(20000)),     //Utils.GetShortDayString(prog.StartTime),
                                          prog.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
           btnEpisode.Add(strTime.ToString());
           if (filterEpisode == strTime)
@@ -1361,7 +1361,7 @@ namespace TvPlugin
       }
       
       string strTime = String.Format("{0} {1} - {2}",
-                                     Utils.GetShortDayString(prog.StartTime),
+                                     prog.StartTime.ToString(GUILocalizeStrings.Get(20000)),     //Utils.GetShortDayString(prog.StartTime),
                                      prog.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat),
                                      prog.EndTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
       
diff --git a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TVConflictDialog.cs b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TVConflictDialog.cs
index defe7c5..c286ca1 100644
--- a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TVConflictDialog.cs
+++ b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TVConflictDialog.cs
@@ -119,7 +119,7 @@ namespace TvPlugin
     private static string GetRecordingDateTime(TVProgramDescription rec)
     {
       return String.Format("{0} {1} - {2}",
-                           MediaPortal.Util.Utils.GetShortDayString(rec.StartTime),
+                           rec.StartTime.ToString(GUILocalizeStrings.Get(20000)),     //MediaPortal.Util.Utils.GetShortDayString(rec.StartTime),
                            rec.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat),
                            rec.EndTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
     }
diff --git a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TVConflicts.cs b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TVConflicts.cs
index bfa4c9e..8d54667 100644
--- a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TVConflicts.cs
+++ b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TVConflicts.cs
@@ -239,7 +239,7 @@ namespace TvPlugin
         {
           case (int)ScheduleRecordingType.Once:
             item.Label2 = String.Format("{0} {1} - {2}",
-                                        Utils.GetShortDayString(rec.StartTime),
+                                        rec.StartTime.ToString(GUILocalizeStrings.Get(20000)),     //Utils.GetShortDayString(rec.StartTime),
                                         rec.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat),
                                         rec.EndTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
             ;
diff --git a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TVPriorities.cs b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TVPriorities.cs
index 904a5ab..cfcd58a 100644
--- a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TVPriorities.cs
+++ b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TVPriorities.cs
@@ -314,7 +314,7 @@ namespace TvPlugin
         {
           case ScheduleRecordingType.Once:
             item.Label2 = String.Format("{0} {1} - {2}",
-                                        Utils.GetShortDayString(rec.StartTime),
+                                        rec.StartTime.ToString(GUILocalizeStrings.Get(20000)),     //Utils.GetShortDayString(rec.StartTime),
                                         rec.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat),
                                         rec.EndTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
             ;
@@ -811,7 +811,7 @@ namespace TvPlugin
     private void SetProperties(Schedule rec)
     {
       string strTime = String.Format("{0} {1} - {2}",
-                                     Utils.GetShortDayString(rec.StartTime),
+                                     rec.StartTime.ToString(GUILocalizeStrings.Get(20000)),     //Utils.GetShortDayString(rec.StartTime),
                                      rec.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat),
                                      rec.EndTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
 
@@ -840,7 +840,7 @@ namespace TvPlugin
       GUIPropertyManager.SetProperty("#TV.Scheduled.Channel", String.Empty);
 
       string strTime = String.Format("{0} {1} - {2}",
-                                     Utils.GetShortDayString(schedule.StartTime),
+                                     schedule.StartTime.ToString(GUILocalizeStrings.Get(20000)),     //Utils.GetShortDayString(schedule.StartTime),
                                      schedule.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat),
                                      schedule.EndTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
 
diff --git a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TVProgramInfo.cs b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TVProgramInfo.cs
index 44e4ae0..2da96f3 100644
--- a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TVProgramInfo.cs
+++ b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TVProgramInfo.cs
@@ -339,7 +339,7 @@ namespace TvPlugin
     private static string GetRecordingDateTime(Schedule rec)
     {
       return String.Format("{0} {1} - {2}",
-                           Utils.GetShortDayString(rec.StartTime),
+                           rec.StartTime.ToString(GUILocalizeStrings.Get(20000)),     //Utils.GetShortDayString(rec.StartTime),
                            rec.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat),
                            rec.EndTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
     }
@@ -428,7 +428,7 @@ namespace TvPlugin
 
         lblProgramChannel.Label = Channel.Retrieve(episode.IdChannel).DisplayName;
         string strTime = String.Format("{0} {1} - {2}",
-                                       Utils.GetShortDayString(episode.StartTime),
+                                       episode.StartTime.ToString(GUILocalizeStrings.Get(20000)),     //Utils.GetShortDayString(episode.StartTime),
                                        episode.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat),
                                        episode.EndTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
 
@@ -614,7 +614,7 @@ namespace TvPlugin
         item.ThumbnailImage = item.IconImageBig = item.IconImage = logo;
 
         item.Label2 = String.Format("{0} {1} - {2}",
-                                    Utils.GetShortDayString(episode.StartTime),
+                                    episode.StartTime.ToString(GUILocalizeStrings.Get(20000)),     //Utils.GetShortDayString(episode.StartTime),
                                     episode.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat),
                                     episode.EndTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
 
diff --git a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TVRecordedInfo.cs b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TVRecordedInfo.cs
index 6f37a85..6d82ac1 100644
--- a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TVRecordedInfo.cs
+++ b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TVRecordedInfo.cs
@@ -77,7 +77,7 @@ namespace TvPlugin
       }
 
       string strTime = String.Format("{0} {1} - {2}",
-                                     Utils.GetShortDayString(currentProgram.StartTime),
+                                     currentProgram.StartTime.ToString(GUILocalizeStrings.Get(20000)),     //Utils.GetShortDayString(currentProgram.StartTime),
                                      currentProgram.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat),
                                      currentProgram.EndTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
 
diff --git a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TVScheduler.cs b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TVScheduler.cs
index b6ca596..6c43b79 100644
--- a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TVScheduler.cs
+++ b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TVScheduler.cs
@@ -708,7 +708,7 @@ namespace TvPlugin
           {
             case (int)ScheduleRecordingType.Once:
               item.Label2 = String.Format("{0} {1} - {2}",
-                                          Utils.GetShortDayString(rec.StartTime),
+                                          rec.StartTime.ToString(GUILocalizeStrings.Get(20000)),     //Utils.GetShortDayString(rec.StartTime),
                                           rec.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat),
                                           rec.EndTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
               ;
@@ -1256,7 +1256,7 @@ namespace TvPlugin
     private void SetProperties(Schedule rec)
     {
       string strTime = String.Format("{0} {1} - {2}",
-                                     Utils.GetShortDayString(rec.StartTime),
+                                     rec.StartTime.ToString(GUILocalizeStrings.Get(20000)),     //Utils.GetShortDayString(rec.StartTime),
                                      rec.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat),
                                      rec.EndTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
 
@@ -1302,7 +1302,7 @@ namespace TvPlugin
       if (schedule != null)
       {
         string strTime = String.Format("{0} {1} - {2}",
-                                       Utils.GetShortDayString(schedule.StartTime),
+                                       schedule.StartTime.ToString(GUILocalizeStrings.Get(20000)),     //Utils.GetShortDayString(schedule.StartTime),
                                        schedule.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat),
                                        schedule.EndTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
 
diff --git a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TVSearch.cs b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TVSearch.cs
index 6e43cfd..0fd2766 100644
--- a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TVSearch.cs
+++ b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TVSearch.cs
@@ -620,7 +620,7 @@ namespace TvPlugin
               }
 
               string strTime = String.Format("{0} {1}",
-                                             Utils.GetShortDayString(program.StartTime),
+                                             program.StartTime.ToString(GUILocalizeStrings.Get(20000)),     //Utils.GetShortDayString(program.StartTime),
                                              program.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
               if (filterEpisode != String.Empty && strTime != filterEpisode)
               {
@@ -628,7 +628,7 @@ namespace TvPlugin
               }
 
               strTime = String.Format("{0} {1} - {2}",
-                                      Utils.GetShortDayString(program.StartTime),
+                                      program.StartTime.ToString(GUILocalizeStrings.Get(20000)),     //Utils.GetShortDayString(program.StartTime),
                                       program.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat),
                                       program.EndTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
 
@@ -746,7 +746,7 @@ namespace TvPlugin
               }
 
               string strTime = String.Format("{0} {1} - {2}",
-                                             Utils.GetShortDayString(program.StartTime),
+                                             program.StartTime.ToString(GUILocalizeStrings.Get(20000)),     //Utils.GetShortDayString(program.StartTime),
                                              program.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat),
                                              program.EndTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
 
@@ -836,7 +836,7 @@ namespace TvPlugin
               }
 
               string strTime = String.Format("{0} {1}",
-                                             Utils.GetShortDayString(program.StartTime),
+                                             program.StartTime.ToString(GUILocalizeStrings.Get(20000)),     //Utils.GetShortDayString(program.StartTime),
                                              program.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
               if (filterEpisode != String.Empty && strTime != filterEpisode)
               {
@@ -844,7 +844,7 @@ namespace TvPlugin
               }
 
               strTime = String.Format("{0} {1} - {2}",
-                                      Utils.GetShortDayString(program.StartTime),
+                                      program.StartTime.ToString(GUILocalizeStrings.Get(20000)),     //Utils.GetShortDayString(program.StartTime),
                                       program.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat),
                                       program.EndTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
 
@@ -914,7 +914,7 @@ namespace TvPlugin
         foreach (Program prog in episodes)
         {
           string strTime = String.Format("{0} {1}",
-                                         Utils.GetShortDayString(prog.StartTime),
+                                         prog.StartTime.ToString(GUILocalizeStrings.Get(20000)),     //Utils.GetShortDayString(prog.StartTime),
                                          prog.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
           btnEpisode.Add(strTime.ToString());
           if (filterEpisode == strTime)
@@ -1310,7 +1310,7 @@ namespace TvPlugin
       }
       
       string strTime = String.Format("{0} {1} - {2}",
-                                     Utils.GetShortDayString(prog.StartTime),
+                                     prog.StartTime.ToString(GUILocalizeStrings.Get(20000)),     //Utils.GetShortDayString(prog.StartTime),
                                      prog.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat),
                                      prog.EndTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
       
diff --git a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TvGuideBase.cs b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TvGuideBase.cs
index 971e9a5..fb4c500 100644
--- a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TvGuideBase.cs
+++ b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TvGuideBase.cs
@@ -860,31 +860,32 @@ namespace TvPlugin
                 {
                   DateTime dtTemp = dtNow.AddDays(iDay);
                   string day;
-                  switch (dtTemp.DayOfWeek)
-                  {
-                    case DayOfWeek.Monday:
-                      day = GUILocalizeStrings.Get(657);
-                      break;
-                    case DayOfWeek.Tuesday:
-                      day = GUILocalizeStrings.Get(658);
-                      break;
-                    case DayOfWeek.Wednesday:
-                      day = GUILocalizeStrings.Get(659);
-                      break;
-                    case DayOfWeek.Thursday:
-                      day = GUILocalizeStrings.Get(660);
-                      break;
-                    case DayOfWeek.Friday:
-                      day = GUILocalizeStrings.Get(661);
-                      break;
-                    case DayOfWeek.Saturday:
-                      day = GUILocalizeStrings.Get(662);
-                      break;
-                    default:
-                      day = GUILocalizeStrings.Get(663);
-                      break;
-                  }
-                  day = String.Format("{0} {1}-{2}", day, dtTemp.Day, dtTemp.Month);
+                                    //switch (dtTemp.DayOfWeek)
+                                    //{
+                                    //  case DayOfWeek.Monday:
+                                    //    day = GUILocalizeStrings.Get(657);
+                                    //    break;
+                                    //  case DayOfWeek.Tuesday:
+                                    //    day = GUILocalizeStrings.Get(658);
+                                    //    break;
+                                    //  case DayOfWeek.Wednesday:
+                                    //    day = GUILocalizeStrings.Get(659);
+                                    //    break;
+                                    //  case DayOfWeek.Thursday:
+                                    //    day = GUILocalizeStrings.Get(660);
+                                    //    break;
+                                    //  case DayOfWeek.Friday:
+                                    //    day = GUILocalizeStrings.Get(661);
+                                    //    break;
+                                    //  case DayOfWeek.Saturday:
+                                    //    day = GUILocalizeStrings.Get(662);
+                                    //    break;
+                                    //  default:
+                                    //    day = GUILocalizeStrings.Get(663);
+                                    //    break;
+                                    //}
+                                    //day = String.Format("{0} {1}-{2}", day, dtTemp.Day, dtTemp.Month);
+                  day = dtTemp.ToString(GUILocalizeStrings.Get(20000));
                   cntlDay.AddLabel(day, iDay);
                 }
               }
@@ -1684,7 +1685,7 @@ namespace TvPlugin
 
         if (program.StartTime.DayOfYear != _viewingTime.DayOfYear)
         {
-          img.Label1 = String.Format("{0} {1}", Utils.GetShortDayString(program.StartTime),
+          img.Label1 = String.Format("{0} {1}", program.StartTime.ToString(GUILocalizeStrings.Get(20000)),   //Utils.GetShortDayString(program.StartTime),
                                      TVUtil.GetDisplayTitle(program));
         }
 
@@ -4933,4 +4934,4 @@ namespace TvPlugin
 
     #endregion
   }
-}
+}
diff --git a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TvPlugin.csproj b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TvPlugin.csproj
index 0f0dfb0..0bccb64 100644
--- a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TvPlugin.csproj
+++ b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TvPlugin.csproj
@@ -75,9 +75,8 @@
     <Reference Include="Common.GUIPlugins">
       <HintPath>..\..\..\..\mediaportal\WindowPlugins\Common.GUIPlugins\bin\Release\Common.GUIPlugins.dll</HintPath>
     </Reference>
-    <Reference Include="Core, Version=0.2.3.0, Culture=neutral, processorArchitecture=x86">
-      <SpecificVersion>False</SpecificVersion>
-      <HintPath>..\..\..\..\mediaportal\Core\bin\Release\Core.dll</HintPath>
+    <Reference Include="Core">
+      <HintPath>..\..\..\..\mediaportal\MediaPortal.Application\bin\Release\Core.dll</HintPath>
     </Reference>
     <Reference Include="Databases, Version=0.2.3.0, Culture=neutral, processorArchitecture=x86">
       <SpecificVersion>False</SpecificVersion>
@@ -112,9 +111,6 @@
     </Reference>
     <Reference Include="System" />
     <Reference Include="System.configuration" />
-    <Reference Include="System.Core">
-      <RequiredTargetFramework>3.5</RequiredTargetFramework>
-    </Reference>
     <Reference Include="System.Data" />
     <Reference Include="System.Drawing" />
     <Reference Include="System.Management" />
diff --git a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TvRecorded.cs b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TvRecorded.cs
index ac07678..39b75f8 100644
--- a/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TvRecorded.cs
+++ b/TvEngine3/TVLibrary/TvPlugin/TvPlugin/TvRecorded.cs
@@ -1508,7 +1508,7 @@ namespace TvPlugin
           return;
         }
         string strTime = string.Format("{0} {1} - {2}",
-                                       Utils.GetShortDayString(rec.StartTime),
+                                       rec.StartTime.ToString(GUILocalizeStrings.Get(20000)),     //Utils.GetShortDayString(rec.StartTime),
                                        rec.StartTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat),
                                        rec.EndTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
 
diff --git a/mediaportal/Core/Util/Util.cs b/mediaportal/Core/Util/Util.cs
index 7cab829..7ebdd26 100644
--- a/mediaportal/Core/Util/Util.cs
+++ b/mediaportal/Core/Util/Util.cs
@@ -1391,7 +1391,7 @@ namespace MediaPortal.Util
                              CultureInfo.CurrentCulture.DateTimeFormat);
       }
       return String.Format("{0} {1}",
-                           Utils.GetShortDayString(aDateTime),
+                           aDateTime.ToString(GUILocalizeStrings.Get(20000)),                         //Utils.GetShortDayString(aDateTime),
                            aDateTime.ToString("t", CultureInfo.CurrentCulture.DateTimeFormat));
     }
 
@@ -1401,40 +1401,40 @@ namespace MediaPortal.Util
                            CultureInfo.CurrentCulture.DateTimeFormat);
     }
 
-    public static string GetShortDayString(DateTime dt)
-    {
-      try
-      {
-        string day;
-        switch (dt.DayOfWeek)
-        {
-          case DayOfWeek.Monday:
-            day = GUILocalizeStrings.Get(657);
-            break;
-          case DayOfWeek.Tuesday:
-            day = GUILocalizeStrings.Get(658);
-            break;
-          case DayOfWeek.Wednesday:
-            day = GUILocalizeStrings.Get(659);
-            break;
-          case DayOfWeek.Thursday:
-            day = GUILocalizeStrings.Get(660);
-            break;
-          case DayOfWeek.Friday:
-            day = GUILocalizeStrings.Get(661);
-            break;
-          case DayOfWeek.Saturday:
-            day = GUILocalizeStrings.Get(662);
-            break;
-          default:
-            day = GUILocalizeStrings.Get(663);
-            break;
-        }
-        return String.Format("{0} {1}-{2}", day, dt.Day, dt.Month);
-      }
-      catch (Exception) {}
-      return string.Empty;
-    }
+    //public static string GetShortDayString(DateTime dt)
+    //{
+    //  try
+    //  {
+    //    string day;
+    //    switch (dt.DayOfWeek)
+    //    {
+    //      case DayOfWeek.Monday:
+    //        day = GUILocalizeStrings.Get(657);
+    //        break;
+    //      case DayOfWeek.Tuesday:
+    //        day = GUILocalizeStrings.Get(658);
+    //        break;
+    //      case DayOfWeek.Wednesday:
+    //        day = GUILocalizeStrings.Get(659);
+    //        break;
+    //      case DayOfWeek.Thursday:
+    //        day = GUILocalizeStrings.Get(660);
+    //        break;
+    //      case DayOfWeek.Friday:
+    //        day = GUILocalizeStrings.Get(661);
+    //        break;
+    //      case DayOfWeek.Saturday:
+    //        day = GUILocalizeStrings.Get(662);
+    //        break;
+    //      default:
+    //        day = GUILocalizeStrings.Get(663);
+    //        break;
+    //    }
+    //    return String.Format("{0} {1}-{2}", day, dt.Day, dt.Month);
+    //  }
+    //  catch (Exception) {}
+    //  return string.Empty;
+    //}
 
     public static string SecondsToHMString(int lSeconds)
     {
diff --git a/mediaportal/Core/guilib/LocalizeStrings.cs b/mediaportal/Core/guilib/LocalizeStrings.cs
index 2dd7d96..5c16987 100644
--- a/mediaportal/Core/guilib/LocalizeStrings.cs
+++ b/mediaportal/Core/guilib/LocalizeStrings.cs
@@ -1,316 +1,316 @@
-#region Copyright (C) 2005-2011 Team MediaPortal
-
-// Copyright (C) 2005-2011 Team MediaPortal
-// http://www.team-mediaportal.com
-// 
-// MediaPortal is free software: you can redistribute it and/or modify
-// it under the terms of the GNU General Public License as published by
-// the Free Software Foundation, either version 2 of the License, or
-// (at your option) any later version.
-// 
-// MediaPortal is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-// GNU General Public License for more details.
-// 
-// You should have received a copy of the GNU General Public License
-// along with MediaPortal. If not, see <http://www.gnu.org/licenses/>.
-
-#endregion
-
-using System;
-using System.Collections;
-using System.Collections.Generic;
-using System.Globalization;
-using MediaPortal.Configuration;
-using MediaPortal.ExtensionMethods;
-using MediaPortal.Localisation;
-using MediaPortal.Profile;
-
-namespace MediaPortal.GUI.Library
-{
-  /// <summary>
-  /// This class will hold all text used in the application
-  /// The text is loaded for the current language from
-  /// the file language/[language]/strings.xml
-  /// </summary>
-  public class GUILocalizeStrings
-  {
-    #region Variables
-
-    private static LocalisationProvider _stringProvider;
-    private static Dictionary<string, string> _cultures;
-    private static string[] _languages;
-
-    #endregion
-
-    #region Constructors/Destructors
-
-    // singleton. Dont allow any instance of this class
-    private GUILocalizeStrings() {}
-
-    public static void Dispose()
-    {
-      if (_stringProvider != null)
-      {
-        _stringProvider.SafeDispose();
-      }
-    }
-
-    #endregion
-
-    #region Properties
-
-    public static bool UseRTL
-    {
-      get
-      {
-        if (_stringProvider == null)
-        {
-          Load(null);
-        }
-
-        if (_stringProvider != null)
-          return _stringProvider.UseRTL;
-        else
-          return false;
-      }
-    }
-
-    #endregion
-
-    #region Public Methods
-
-    /// <summary>
-    /// Public method to load the text from a strings/xml file into memory
-    /// </summary>
-    /// <param name="strFileName">Contains the filename+path for the string.xml file</param>
-    /// <returns>
-    /// true when text is loaded
-    /// false when it was unable to load the text
-    /// </returns>
-    //[Obsolete("This method has changed", true)]
-    public static bool Load(string language)
-    {
-      bool isPrefixEnabled = true;
-      using (Settings reader = new MPSettings())
-      {
-        isPrefixEnabled = reader.GetValueAsBool("gui", "myprefix", true);
-      }
-
-      string directory = Config.GetFolder(Config.Dir.Language);
-      string cultureName = null;
-      if (language != null)
-      {
-        cultureName = GetCultureName(language);
-      }
-
-      Log.Info("Loading localized Strings - Path: {0} Culture: {1}  Language: {2} Prefix: {3}", directory, cultureName,
-               language, isPrefixEnabled);
-
-      // http://msdn.microsoft.com/en-us/library/system.globalization.cultureinfo.aspx
-      _stringProvider = new LocalisationProvider(directory, cultureName, isPrefixEnabled);
-
-      if (_stringProvider.Characters > GUIGraphicsContext.CharsInCharacterSet)
-      {
-        GUIGraphicsContext.CharsInCharacterSet = _stringProvider.Characters;
-      }
-      return true;
-    }
-
-    public static string CurrentLanguage()
-    {
-      if (_stringProvider == null)
-      {
-        Load(null);
-      }
-
-      return _stringProvider.CurrentLanguage.EnglishName;
-    }
-
-    public static void ChangeLanguage(string language)
-    {
-      GUIFontManager.ClearFontCache();
-      if (_stringProvider == null)
-      {
-        Load(language);
-      }
-      else
-      {
-        _stringProvider.ChangeLanguage(GetCultureName(language));
-        if (_stringProvider.Characters > GUIGraphicsContext.CharsInCharacterSet)
-        {
-          GUIGraphicsContext.CharsInCharacterSet = _stringProvider.Characters;
-        }
-      }
-    }
-
-    /// <summary>
-    /// Get the translation for a given id and format the sting with
-    /// the given parameters
-    /// </summary>
-    /// <param name="dwCode">id of text</param>
-    /// <param name="parameters">parameters used in the formating</param>
-    /// <returns>
-    /// string containing the translated text
-    /// </returns>
-    public static string Get(int dwCode, object[] parameters)
-    {
-      if (_stringProvider == null)
-      {
-        Load(null);
-      }
-
-      string translation = _stringProvider.GetString("unmapped", dwCode);
-      // if parameters or the translation is null, return the translation.
-      if ((translation == null) || (parameters == null))
-      {
-        return translation;
-      }
-      // return the formatted string. If formatting fails, log the error
-      // and return the unformatted string.
-      try
-      {
-        return String.Format(translation, parameters);
-      }
-      catch (FormatException e)
-      {
-        Log.Error("Error formatting translation with id {0}", dwCode);
-        Log.Error("Unformatted translation: {0}", translation);
-        Log.Error(e);
-        return translation;
-      }
-    }
-
-    /// <summary>
-    /// Get the translation for a given id
-    /// </summary>
-    /// <param name="dwCode">id of text</param>
-    /// <returns>
-    /// string containing the translated text
-    /// </returns>
-    public static string Get(int dwCode)
-    {
-      if (_stringProvider == null)
-      {
-        Load(null);
-      }
-
-      string translation = _stringProvider.GetString("unmapped", dwCode);
-
-      if (translation == null)
-      {
-        Log.Error("No translation found for id {0}", dwCode);
-        return string.Empty;
-      }
-
-      return translation;
-    }
-
-    public static void LocalizeLabel(ref string strLabel)
-    {
-      if (_stringProvider == null)
-      {
-        Load(null);
-      }
-
-      if (strLabel == null)
-      {
-        strLabel = string.Empty;
-      }
-      if (strLabel == "-")
-      {
-        strLabel = "";
-      }
-      if (strLabel == "")
-      {
-        return;
-      }
-
-      // This can't be a valid string code if the first character isn't a number.
-      // This check will save us from catching unnecessary exceptions.
-      if (!char.IsNumber(strLabel, 0))
-      {
-        return;
-      }
-
-      // Attempt to parse an int from the string.  On failure just return leaving the input string unchanged.
-      int dwLabelID;
-      if (!Int32.TryParse(strLabel, out dwLabelID))
-      {
-        return;
-      }
-
-      strLabel = _stringProvider.GetString("unmapped", dwLabelID);
-      if (strLabel == null)
-      {
-        Log.Error("No translation found for id {0}", dwLabelID);
-        strLabel = string.Empty;
-      }
-    }
-
-    public static string LocalSupported()
-    {
-      if (_stringProvider == null)
-      {
-        Load(null);
-      }
-
-      CultureInfo culture = _stringProvider.GetBestLanguage();
-
-      return culture.EnglishName;
-    }
-
-    public static string[] SupportedLanguages()
-    {
-      if (_languages == null)
-      {
-        if (_stringProvider == null)
-        {
-          Load(null);
-        }
-
-        CultureInfo[] cultures = _stringProvider.AvailableLanguages();
-
-        SortedList sortedLanguages = new SortedList();
-        foreach (CultureInfo culture in cultures)
-        {
-          sortedLanguages.Add(culture.EnglishName, culture.EnglishName);
-        }
-
-        _languages = new string[sortedLanguages.Count];
-
-        for (int i = 0; i < sortedLanguages.Count; i++)
-        {
-          _languages[i] = (string)sortedLanguages.GetByIndex(i);
-        }
-      }
-
-      return _languages;
-    }
-
-    public static string GetCultureName(string language)
-    {
-      if (_cultures == null)
-      {
-        _cultures = new Dictionary<string, string>();
-
-        CultureInfo[] cultureList = CultureInfo.GetCultures(CultureTypes.AllCultures);
-
-        for (int i = 0; i < cultureList.Length; i++)
+#region Copyright (C) 2005-2011 Team MediaPortal
+
+// Copyright (C) 2005-2011 Team MediaPortal
+// http://www.team-mediaportal.com
+// 
+// MediaPortal is free software: you can redistribute it and/or modify
+// it under the terms of the GNU General Public License as published by
+// the Free Software Foundation, either version 2 of the License, or
+// (at your option) any later version.
+// 
+// MediaPortal is distributed in the hope that it will be useful,
+// but WITHOUT ANY WARRANTY; without even the implied warranty of
+// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+// GNU General Public License for more details.
+// 
+// You should have received a copy of the GNU General Public License
+// along with MediaPortal. If not, see <http://www.gnu.org/licenses/>.
+
+#endregion
+
+using System;
+using System.Collections;
+using System.Collections.Generic;
+using System.Globalization;
+using MediaPortal.Configuration;
+using MediaPortal.ExtensionMethods;
+using MediaPortal.Localisation;
+using MediaPortal.Profile;
+
+namespace MediaPortal.GUI.Library
+{
+  /// <summary>
+  /// This class will hold all text used in the application
+  /// The text is loaded for the current language from
+  /// the file language/[language]/strings.xml
+  /// </summary>
+  public class GUILocalizeStrings
+  {
+    #region Variables
+
+    private static LocalisationProvider _stringProvider;
+    private static Dictionary<string, string> _cultures;
+    private static string[] _languages;
+
+    #endregion
+
+    #region Constructors/Destructors
+
+    // singleton. Dont allow any instance of this class
+    private GUILocalizeStrings() {}
+
+    public static void Dispose()
+    {
+      if (_stringProvider != null)
+      {
+        _stringProvider.SafeDispose();
+      }
+    }
+
+    #endregion
+
+    #region Properties
+
+    public static bool UseRTL
+    {
+      get
+      {
+        if (_stringProvider == null)
         {
-          _cultures[cultureList[i].EnglishName] = cultureList[i].Name;
-        }
-      }
-      string cultures = null;
-      if (_cultures.TryGetValue(language, out cultures))
-      {
-        return cultures;
-      }
-
-      return null;
-    }
-
-    #endregion
-  }
+          Load(null);
+        }
+
+        if (_stringProvider != null)
+          return _stringProvider.UseRTL;
+        else
+          return false;
+      }
+    }
+
+    #endregion
+
+    #region Public Methods
+
+    /// <summary>
+    /// Public method to load the text from a strings/xml file into memory
+    /// </summary>
+    /// <param name="strFileName">Contains the filename+path for the string.xml file</param>
+    /// <returns>
+    /// true when text is loaded
+    /// false when it was unable to load the text
+    /// </returns>
+    //[Obsolete("This method has changed", true)]
+    public static bool Load(string language)
+    {
+      bool isPrefixEnabled = true;
+      using (Settings reader = new MPSettings())
+      {
+        isPrefixEnabled = reader.GetValueAsBool("gui", "myprefix", true);
+      }
+
+      string directory = Config.GetFolder(Config.Dir.Language);
+      string cultureName = null;
+      if (language != null)
+      {
+        cultureName = GetCultureName(language);
+      }
+
+      Log.Info("Loading localized Strings - Path: {0} Culture: {1}  Language: {2} Prefix: {3}", directory, cultureName,
+               language, isPrefixEnabled);
+
+      // http://msdn.microsoft.com/en-us/library/system.globalization.cultureinfo.aspx
+      _stringProvider = new LocalisationProvider(directory, cultureName, isPrefixEnabled);
+
+      if (_stringProvider.Characters > GUIGraphicsContext.CharsInCharacterSet)
+      {
+        GUIGraphicsContext.CharsInCharacterSet = _stringProvider.Characters;
+      }
+      return true;
+    }
+
+    public static string CurrentLanguage()
+    {
+      if (_stringProvider == null)
+      {
+        Load(null);
+      }
+
+      return _stringProvider.CurrentLanguage.EnglishName;
+    }
+
+    public static void ChangeLanguage(string language)
+    {
+      GUIFontManager.ClearFontCache();
+      if (_stringProvider == null)
+      {
+        Load(language);
+      }
+      else
+      {
+        _stringProvider.ChangeLanguage(GetCultureName(language));
+        if (_stringProvider.Characters > GUIGraphicsContext.CharsInCharacterSet)
+        {
+          GUIGraphicsContext.CharsInCharacterSet = _stringProvider.Characters;
+        }
+      }
+    }
+
+    /// <summary>
+    /// Get the translation for a given id and format the sting with
+    /// the given parameters
+    /// </summary>
+    /// <param name="dwCode">id of text</param>
+    /// <param name="parameters">parameters used in the formating</param>
+    /// <returns>
+    /// string containing the translated text
+    /// </returns>
+    public static string Get(int dwCode, object[] parameters)
+    {
+      if (_stringProvider == null)
+      {
+        Load(null);
+      }
+
+      string translation = _stringProvider.GetString("unmapped", dwCode);
+      // if parameters or the translation is null, return the translation.
+      if ((translation == null) || (parameters == null))
+      {
+        return translation;
+      }
+      // return the formatted string. If formatting fails, log the error
+      // and return the unformatted string.
+      try
+      {
+        return String.Format(translation, parameters);
+      }
+      catch (FormatException e)
+      {
+        Log.Error("Error formatting translation with id {0}", dwCode);
+        Log.Error("Unformatted translation: {0}", translation);
+        Log.Error(e);
+        return translation;
+      }
+    }
+
+    /// <summary>
+    /// Get the translation for a given id
+    /// </summary>
+    /// <param name="dwCode">id of text</param>
+    /// <returns>
+    /// string containing the translated text
+    /// </returns>
+    public static string Get(int dwCode)
+    {
+      if (_stringProvider == null)
+      {
+        Load(null);
+      }
+
+      string translation = _stringProvider.GetString("unmapped", dwCode);
+
+      if (translation == null)
+      {
+        Log.Error("No translation found for id {0}", dwCode);
+        return string.Empty;
+      }
+
+      return translation;
+    }
+
+    public static void LocalizeLabel(ref string strLabel)
+    {
+      if (_stringProvider == null)
+      {
+        Load(null);
+      }
+
+      if (strLabel == null)
+      {
+        strLabel = string.Empty;
+      }
+      if (strLabel == "-")
+      {
+        strLabel = "";
+      }
+      if (strLabel == "")
+      {
+        return;
+      }
+
+      // This can't be a valid string code if the first character isn't a number.
+      // This check will save us from catching unnecessary exceptions.
+      if (!char.IsNumber(strLabel, 0))
+      {
+        return;
+      }
+
+      // Attempt to parse an int from the string.  On failure just return leaving the input string unchanged.
+      int dwLabelID;
+      if (!Int32.TryParse(strLabel, out dwLabelID))
+      {
+        return;
+      }
+
+      strLabel = _stringProvider.GetString("unmapped", dwLabelID);
+      if (strLabel == null)
+      {
+        Log.Error("No translation found for id {0}", dwLabelID);
+        strLabel = string.Empty;
+      }
+    }
+
+    public static string LocalSupported()
+    {
+      if (_stringProvider == null)
+      {
+        Load(null);
+      }
+
+      CultureInfo culture = _stringProvider.GetBestLanguage();
+
+      return culture.EnglishName;
+    }
+
+    public static string[] SupportedLanguages()
+    {
+      if (_languages == null)
+      {
+        if (_stringProvider == null)
+        {
+          Load(null);
+        }
+
+        CultureInfo[] cultures = _stringProvider.AvailableLanguages();
+
+        SortedList sortedLanguages = new SortedList();
+        foreach (CultureInfo culture in cultures)
+        {
+          sortedLanguages.Add(culture.EnglishName, culture.EnglishName);
+        }
+
+        _languages = new string[sortedLanguages.Count];
+
+        for (int i = 0; i < sortedLanguages.Count; i++)
+        {
+          _languages[i] = (string)sortedLanguages.GetByIndex(i);
+        }
+      }
+
+      return _languages;
+    }
+
+    public static string GetCultureName(string language)
+    {
+      if (_cultures == null)
+      {
+        _cultures = new Dictionary<string, string>();
+
+        CultureInfo[] cultureList = CultureInfo.GetCultures(CultureTypes.AllCultures);
+
+        for (int i = 0; i < cultureList.Length; i++)
+        {
+          _cultures[cultureList[i].EnglishName] = cultureList[i].Name;
+        }
+      }
+      string cultures = null;
+      if (_cultures.TryGetValue(language, out cultures))
+      {
+        return cultures;
+      }
+
+      return null;
+    }
+
+    #endregion
+  }
 }
\ No newline at end of file
diff --git a/mediaportal/MediaPortal.Base/language/strings_bg.xml b/mediaportal/MediaPortal.Base/language/strings_bg.xml
index 26b4010..795de6d 100644
--- a/mediaportal/MediaPortal.Base/language/strings_bg.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_bg.xml
@@ -1,4 +1,4 @@
-<?xml version="1.0" encoding="utf-8"?>
+﻿<?xml version="1.0" encoding="utf-8"?>
 <Language name="Bulgarian" characters="255">
   <Section name="unmapped">
     <String id="0">Програми</String>
@@ -386,6 +386,11 @@
     <String id="724">Търсене ТВ Програма</String>
     <String id="725">Жанрове</String>
     <String id="726">Заглавие</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
     <String id="200004">Ръчно предоставено tvguide.xml</String>
     <String id="200005">Моля, изберете типа дистанционно, което използвате:</String>
     <String id="200006">Натисни бутона Продължи за продължение</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_ca.xml b/mediaportal/MediaPortal.Base/language/strings_ca.xml
index 3f5c7d0..f413b44 100644
--- a/mediaportal/MediaPortal.Base/language/strings_ca.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_ca.xml
@@ -1327,6 +1327,11 @@
         <String id="19117">Neteja cel.la</String>
         <String id="19118">Ajuda</String>
         <String id="19119">Reinicia joce</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
         <String id="25001">Esperant pàgina {0:X}</String>
         <String id="30000">Videoclips</String>
         <String id="30001">+ volguts</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_cs.xml b/mediaportal/MediaPortal.Base/language/strings_cs.xml
index 0e28981..3b6254e 100644
--- a/mediaportal/MediaPortal.Base/language/strings_cs.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_cs.xml
@@ -1772,6 +1772,11 @@
     <String id="19149">Filtry</String>
     <String id="19150">Kandidáti</String>
     <String id="19151">Přidat/odebrat kandidáty</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
     <String id="25001">Čekání na stránku {0:X}...!</String>
     <String id="30000" prefix="Mé ">Videoklipy</String>
     <String id="30001">Nejžádanější</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_cy-GB.xml b/mediaportal/MediaPortal.Base/language/strings_cy-GB.xml
index da6d0c3..b15cbd0 100644
--- a/mediaportal/MediaPortal.Base/language/strings_cy-GB.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_cy-GB.xml
@@ -1084,6 +1084,11 @@
     <String id="19011">Oedwyd</String>
     <String id="19012">Gem Drosodd</String>
     <String id="19100">GeoCloc</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
     <String id="100000">Cartref</String>
     <String id="100001">Teledu</String>
     <String id="100002">Lluniau</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_da.xml b/mediaportal/MediaPortal.Base/language/strings_da.xml
index 27dfa6e..f751c64 100644
--- a/mediaportal/MediaPortal.Base/language/strings_da.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_da.xml
@@ -1709,6 +1709,11 @@
     <String id="19149">Filtre</String>
     <String id="19150">Kandidater</String>
     <String id="19151">Tilføj/fjern kandidater</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
     <String id="25001">Venter på side {0:X}...!</String>
     <String id="30000" prefix="Mine ">Musikvideoer</String>
     <String id="30001">Mest populær</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_de.xml b/mediaportal/MediaPortal.Base/language/strings_de.xml
index 56c9e64..2320b64 100644
--- a/mediaportal/MediaPortal.Base/language/strings_de.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_de.xml
@@ -1,4 +1,4 @@
-<?xml version="1.0" encoding="utf-8"?>
+﻿<?xml version="1.0" encoding="utf-8"?>
 <Language name="German" characters="255">
 	<Section name="unmapped">
 		<String id="0" prefix="Meine ">Anwendungen</String>
@@ -1749,6 +1749,11 @@
 		<String id="19149">Filter</String>
 		<String id="19150">Kandidaten</String>
 		<String id="19151">Kandidaten hinzufügen/entfernen</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
 		<String id="25001">Warte auf Seite {0:X}...!</String>
 		<String id="30000" prefix="Meine ">Musikvideos</String>
 		<String id="30001">Top Videos</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_el.xml b/mediaportal/MediaPortal.Base/language/strings_el.xml
index 859928c..b1d2fa3 100644
--- a/mediaportal/MediaPortal.Base/language/strings_el.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_el.xml
@@ -1596,6 +1596,11 @@
     <String id="19149">Φίλτρα</String>
     <String id="19150">Υποψήφια</String>
     <String id="19151">Προσθήκη/Αφαίρεση Υποψηφίων</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
     <String id="25001">Αναμονή για σελίδα {0:X}...!</String>
     <String id="30000">Μουσικά Βίντεο</String>
     <String id="30001">Περισσότερο επιθυμητά</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_en-GB.xml b/mediaportal/MediaPortal.Base/language/strings_en-GB.xml
index 5e00b2a..0752b80 100644
--- a/mediaportal/MediaPortal.Base/language/strings_en-GB.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_en-GB.xml
@@ -48,6 +48,11 @@
     <String id="1965">Highest value</String>
     <String id="1966">Lowest value</String>
     <String id="198">Downloading film details</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
     <String id="200010">MediaPortal turns your PC in to a very advanced multimedia PC or HTPC</String>
     <String id="200021">TV Setup - EPG</String>
     <String id="200022">MediaPortal has found the following TV tuners:</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_en-US.xml b/mediaportal/MediaPortal.Base/language/strings_en-US.xml
index 4336ad3..222f6f0 100644
--- a/mediaportal/MediaPortal.Base/language/strings_en-US.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_en-US.xml
@@ -48,6 +48,11 @@
     <String id="4001">Favorites</String>
     <String id="6018">minutes before program starts</String>
     <String id="6019">minutes after program ends</String>
+    <String id="20000">ddd MM-dd</String>
+    <String id="20001">MM-dd</String>
+    <String id="20002">MM-dd-yyyy HH:mm:ss</String>
+    <String id="20003">MM/dd/yyyy hh:mm:ss</String>
+    <String id="20004">MM/dd/yyyy hh:mm t</String>
     <String id="33002">Scrobble: Neighbors</String>
     <String id="33012">Tracks your neighbors like</String>
     <String id="33019">Random favorite tracks</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_en.xml b/mediaportal/MediaPortal.Base/language/strings_en.xml
index d3e2053..6b9371d 100644
--- a/mediaportal/MediaPortal.Base/language/strings_en.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_en.xml
@@ -1784,6 +1784,11 @@
     <String id="19149">Filters</String>
     <String id="19150">Candidates</String>
     <String id="19151">Add/remove candidates</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
     <String id="25001">Waiting for Page {0:X}...!</String>
     <String id="30000" prefix="My ">Music Videos</String>
     <String id="30001">Most wanted</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_es.xml b/mediaportal/MediaPortal.Base/language/strings_es.xml
index 4222a5b..836f558 100644
--- a/mediaportal/MediaPortal.Base/language/strings_es.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_es.xml
@@ -1,4 +1,4 @@
-<?xml version="1.0" encoding="UTF-8"?>
+﻿<?xml version="1.0" encoding="UTF-8"?>
 <Language name="Spanish" characters="255">
   <Section name="unmapped">
     <String id="0" prefix="Mis ">Programas</String>
@@ -1747,6 +1747,11 @@
     <String id="19149">Filtros</String>
     <String id="19150">Candidatos</String>
     <String id="19151">Añadir/Quitar candidatos</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
     <String id="25001">Esperando por la página {0:X}...!</String>
     <String id="30000" prefix="Mis ">Vídeos Musicales</String>
     <String id="30001">Más visto</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_et.xml b/mediaportal/MediaPortal.Base/language/strings_et.xml
index 0613163..f5c69db 100644
--- a/mediaportal/MediaPortal.Base/language/strings_et.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_et.xml
@@ -886,6 +886,11 @@
     <String id="13010">X-fade transitions</String>
     <String id="13011">Ken Burns speed</String>
     <String id="16001">Party Shuffle</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
     <String id="100704">DVD seaded</String>
     <String id="100755">Olek</String>
     <String id="100756">Oleku detailid</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_eu.xml b/mediaportal/MediaPortal.Base/language/strings_eu.xml
index 1a2f7e2..8aa2d26 100644
--- a/mediaportal/MediaPortal.Base/language/strings_eu.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_eu.xml
@@ -910,6 +910,11 @@
     <String id="2121">Ezin da/dira fitxategia(k) konbertitu!</String>
     <String id="2122">hasi!</String>
     <String id="2123">Disko datuak</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
     <String id="200017">Ongietorria MediaPortalera.</String>
     <String id="200018">Zorionak. MediaPortal konfiguratuta dago era erabiltzeko prest</String>
     <String id="200019">Sakatu Bukatu botoia laguntzaile hau itxi ahal izateko</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_fi.xml b/mediaportal/MediaPortal.Base/language/strings_fi.xml
index 56683e8..e646953 100644
--- a/mediaportal/MediaPortal.Base/language/strings_fi.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_fi.xml
@@ -1769,6 +1769,11 @@
     <String id="19149">Korostus</String>
     <String id="19150">Apunumerot</String>
     <String id="19151">Lisää/poista apunumeroita</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
     <String id="25001">Ladataan sivua {0:X}...!</String>
     <String id="30000">Musiikkivideot</String>
     <String id="30001">Halutuimmat</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_fo.xml b/mediaportal/MediaPortal.Base/language/strings_fo.xml
index f67b27a..c6d52ef 100644
--- a/mediaportal/MediaPortal.Base/language/strings_fo.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_fo.xml
@@ -1,4 +1,4 @@
-<?xml version="1.0" encoding="utf-8"?>
+﻿<?xml version="1.0" encoding="utf-8"?>
 <Language name="Faroese" characters="255">
   <Section name="unmapped">
     <String id="0">Forrit</String>
@@ -103,5 +103,10 @@
     <String id="392">Sirm</String>
     <String id="4513">Ymisk</String>
     <String id="10102">Skjótasta tíð</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
   </Section>
 </Language>
\ No newline at end of file
diff --git a/mediaportal/MediaPortal.Base/language/strings_fr.xml b/mediaportal/MediaPortal.Base/language/strings_fr.xml
index 7b3f618..bc48025 100644
--- a/mediaportal/MediaPortal.Base/language/strings_fr.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_fr.xml
@@ -1772,6 +1772,11 @@
     <String id="19149">Filtres</String>
     <String id="19150">Candidats</String>
     <String id="19151">Ajout/Suppression candidats</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
     <String id="25001">En attente de la page {0:X}...!</String>
     <String id="30000" prefix="Mes ">Clips vidéos</String>
     <String id="30001">Les plus regardés</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_he.xml b/mediaportal/MediaPortal.Base/language/strings_he.xml
index 6bf54b3..12d297e 100644
--- a/mediaportal/MediaPortal.Base/language/strings_he.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_he.xml
@@ -1598,7 +1598,12 @@
     <String id="19148">סיוע</String>
     <String id="19149">מסנןs</String>
     <String id="19150">Candidates</String>
-    <String id="19151">הוסף/הסר candidates</String>   
+    <String id="19151">הוסף/הסר candidates</String>  
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String> 
     <String id="25001">ממתין לדף {0:X}...!</String>   
     <String id="30000">וידיאו קליפים</String>
     <String id="30001">המבוקשים</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_hr.xml b/mediaportal/MediaPortal.Base/language/strings_hr.xml
index cf72c58..c00fe8d 100644
--- a/mediaportal/MediaPortal.Base/language/strings_hr.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_hr.xml
@@ -1406,6 +1406,11 @@
     <String id="19149">Filteri</String>
     <String id="19150">Kandidati</String>
     <String id="19151">Dodaj/Ukloni kandidate</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
     <String id="25001">Cekam stranicu {0:X}...!</String>
     <String id="30000" prefix="Moji">Spotovi</String>
     <String id="30001">Najvise trazeno</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_hu.xml b/mediaportal/MediaPortal.Base/language/strings_hu.xml
index 0579555..c5d100d 100644
--- a/mediaportal/MediaPortal.Base/language/strings_hu.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_hu.xml
@@ -1624,6 +1624,11 @@
     <String id="19149">Szűrők</String>
     <String id="19150">Jelöltek</String>
     <String id="19151">Jelöltek hozzáadása/törlése</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
     <String id="25001">Várakozás a(z) {0:X} oldalra...!</String>
     <String id="30000">Videóklipek</String>
     <String id="30001">Legjobban keresett</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_id.xml b/mediaportal/MediaPortal.Base/language/strings_id.xml
index 371e0ea..3055a7e 100644
--- a/mediaportal/MediaPortal.Base/language/strings_id.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_id.xml
@@ -1470,6 +1470,11 @@
     <String id="19149">Saringan</String>
     <String id="19150">Kandidat</String>
     <String id="19151">Tambah/hilangkan kandidat</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
     <String id="25001">Menunggu Halaman {0:X}...!</String>
     <String id="30000">Video Musik</String>
     <String id="30001">Most wanted</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_is.xml b/mediaportal/MediaPortal.Base/language/strings_is.xml
index 4a057f7..20e56ff 100644
--- a/mediaportal/MediaPortal.Base/language/strings_is.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_is.xml
@@ -1596,6 +1596,11 @@
 		<String id="19149">Afmörkanir</String>
 		<String id="19150">Líkindi</String>
 		<String id="19151">Bæta við/fjarlægja líkindi</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
 		<String id="25001">Bíð eftir síðu {0:X}...!</String>
 		<String id="30000" prefix="Mín ">Tónlistarmyndbönd</String>
 		<String id="30001">Vinsælust</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_it.xml b/mediaportal/MediaPortal.Base/language/strings_it.xml
index 74f5cf7..a70ed95 100644
--- a/mediaportal/MediaPortal.Base/language/strings_it.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_it.xml
@@ -1,4 +1,4 @@
-<?xml version="1.0" encoding="UTF-8"?>
+﻿<?xml version="1.0" encoding="UTF-8"?>
 <Language name="Italian" characters="255">
   <Section name="unmapped">
     <String id="0" prefix="I miei ">Programmi</String>
@@ -1754,6 +1754,11 @@
     <String id="19149">Filtri</String>
     <String id="19150">alternative possibili</String>
     <String id="19151">Aggiungi/Rimuovi alternative possibili</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
     <String id="25001">In attesa della pagina {0:X}...!</String>
     <String id="30000" prefix="I miei ">Video Musicali</String>
     <String id="30001">Più richiesti</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_ko.xml b/mediaportal/MediaPortal.Base/language/strings_ko.xml
index e818cd2..7eae7e9 100644
--- a/mediaportal/MediaPortal.Base/language/strings_ko.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_ko.xml
@@ -1,4 +1,4 @@
-<?xml version="1.0" encoding="utf-8"?>
+﻿<?xml version="1.0" encoding="utf-8"?>
 <Language name="Korean" characters="255">
   <Section name="unmapped">
     <String id="0">프로그램</String>
@@ -201,5 +201,10 @@
     <String id="294">책갈피 생성</String>
     <String id="295">책갈피 반족</String>
     <String id="296">책갈피 삭제</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
   </Section>
 </Language>
\ No newline at end of file
diff --git a/mediaportal/MediaPortal.Base/language/strings_mk.xml b/mediaportal/MediaPortal.Base/language/strings_mk.xml
index a47f2bc..539a5ed 100644
--- a/mediaportal/MediaPortal.Base/language/strings_mk.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_mk.xml
@@ -1566,6 +1566,11 @@
     <String id="19149">Филтри</String>
     <String id="19150">Кандидати</String>
     <String id="19151">Додај/Тргни кандидати</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
     <String id="25001">Чекам за страна {0:X}...!</String>
     <String id="30000" prefix="Мои ">Музички видеа</String>
     <String id="30001">Најбарани</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_nl.xml b/mediaportal/MediaPortal.Base/language/strings_nl.xml
index 8683bdb..53fec46 100644
--- a/mediaportal/MediaPortal.Base/language/strings_nl.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_nl.xml
@@ -1,4 +1,4 @@
-<?xml version="1.0" encoding="UTF-8"?>
+﻿<?xml version="1.0" encoding="UTF-8"?>
 <Language name="Dutch" characters="255">
   <Section name="unmapped">
     <String id="0" prefix="Mijn ">Programma's</String>
@@ -1771,6 +1771,11 @@
     <String id="19149">Filters</String>
     <String id="19150">Kandidaten</String>
     <String id="19151">Kandidaten toevoegen/verwijderen</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
     <String id="25001">Wachten op pagina {0:X}...!</String>
     <String id="30000" prefix="Mijn ">Muziekvideo's</String>
     <String id="30001">Meest gewild</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_no.xml b/mediaportal/MediaPortal.Base/language/strings_no.xml
index 66d3f9d..7b7f329 100644
--- a/mediaportal/MediaPortal.Base/language/strings_no.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_no.xml
@@ -1748,6 +1748,11 @@
     <String id="19149">Filtrer</String>
     <String id="19150">Kandidater</String>
     <String id="19151">Legg til/fjern kandidater</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
     <String id="25001">Venter på side {0:X}...!</String>
     <String id="30000" prefix="Mine ">Musikkvideoer</String>
     <String id="30001">Mest sett</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_pl.xml b/mediaportal/MediaPortal.Base/language/strings_pl.xml
index c1d699e..d9544e0 100644
--- a/mediaportal/MediaPortal.Base/language/strings_pl.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_pl.xml
@@ -1643,6 +1643,11 @@
     <String id="19149">Filtry</String>
     <String id="19150">Kandydaci</String>
     <String id="19151">Dodaj/Usuń Kandydatów</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
     <String id="25001">Czekam na stronę {0:X}...!</String>
     <String id="30000" prefix="Moje ">Teledyski</String>
     <String id="30001">Poszukiwane</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_pt-BR.xml b/mediaportal/MediaPortal.Base/language/strings_pt-BR.xml
index 1964497..70247c4 100644
--- a/mediaportal/MediaPortal.Base/language/strings_pt-BR.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_pt-BR.xml
@@ -1130,6 +1130,11 @@
     <String id="19011">Pausa</String>
     <String id="19012">Fim do jogo</String>
     <String id="19100">GeoClock</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
     <String id="25001">Aguardando página {0:X} ...!</String>
     <String id="100000">Topo</String>
     <String id="100001">TV</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_pt.xml b/mediaportal/MediaPortal.Base/language/strings_pt.xml
index 39ec547..75e6391 100644
--- a/mediaportal/MediaPortal.Base/language/strings_pt.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_pt.xml
@@ -1,4 +1,4 @@
-<?xml version="1.0" encoding="utf-8"?>
+﻿<?xml version="1.0" encoding="utf-8"?>
 <Language name="Portuguese" characters="255">
   <Section name="unmapped">
     <String id="0">Programas</String>
@@ -1314,6 +1314,11 @@
     <String id="19117">Apagar célula</String>
     <String id="19118">Uma ajuda</String>
     <String id="19119">Reiniciar jogo</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
     <String id="25001">Aguardando pela página {0:X}...!</String>
     <String id="30000">Vídeos musicais</String>
     <String id="30001">Mais procurados</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_ro.xml b/mediaportal/MediaPortal.Base/language/strings_ro.xml
index 855a283..72e45a5 100644
--- a/mediaportal/MediaPortal.Base/language/strings_ro.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_ro.xml
@@ -1356,6 +1356,11 @@
     <String id="19011">Pauză</String>
     <String id="19012">Joc terminat</String>
     <String id="19100">Ceas geografic</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
     <String id="25001">Se aşteaptă pagina {0:X}...!</String>
     <String id="30000">Videoclipuri</String>
     <String id="30001">Cele mai căutate</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_ru.xml b/mediaportal/MediaPortal.Base/language/strings_ru.xml
index 7da75c8..61a7379 100644
--- a/mediaportal/MediaPortal.Base/language/strings_ru.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_ru.xml
@@ -1780,6 +1780,11 @@
 		<String id="19149">Фильтры</String>
 		<String id="19150">Кандидаты</String>
 		<String id="19151">Добавить/удалить кандидатов</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
 		<String id="25001">Ждём страницу {0:X}...!</String>
 		<String id="30000" prefix="Мои ">Клипы</String>
 		<String id="30001">Самые разыскиваемые</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_sk.xml b/mediaportal/MediaPortal.Base/language/strings_sk.xml
index 3d7c5ad..eda7296 100644
--- a/mediaportal/MediaPortal.Base/language/strings_sk.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_sk.xml
@@ -1655,6 +1655,11 @@
     <String id="19149">Filtrovanie</String>
     <String id="19150">Kandidáti</String>
     <String id="19151">Pridať/Odstrániť kandidátov</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
     <String id="25001">Čakanie na stránku {0:X}...</String>
     <String id="30000" prefix="Moje">Videoklipy</String>
     <String id="30001">Najžiadanejšie</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_sl.xml b/mediaportal/MediaPortal.Base/language/strings_sl.xml
index 6b69cfa..77f7003 100644
--- a/mediaportal/MediaPortal.Base/language/strings_sl.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_sl.xml
@@ -1752,6 +1752,11 @@
     <String id="19149">Filtri</String>
     <String id="19150">Kandidati</String>
     <String id="19151">Dodaj / odstrani kandidate</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
     <String id="25001">Čakam na stran {0:X}...</String>
     <String id="30000" prefix="Moji ">Glasbeni spoti</String>
     <String id="30001">Najbolj želeni</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_sv.xml b/mediaportal/MediaPortal.Base/language/strings_sv.xml
index 33c73ab..ac02817 100644
--- a/mediaportal/MediaPortal.Base/language/strings_sv.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_sv.xml
@@ -1770,6 +1770,11 @@
     <String id="19149">Filter</String>
     <String id="19150">Kandidater</String>
     <String id="19151">Lägg till/ta bort kandidater</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
     <String id="25001">Väntar på sida {0:X}...!</String>
     <String id="30000" prefix="Mina ">Musikvideor</String>
     <String id="30001">Mest önskat</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_tr.xml b/mediaportal/MediaPortal.Base/language/strings_tr.xml
index d77fe14..11f703a 100644
--- a/mediaportal/MediaPortal.Base/language/strings_tr.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_tr.xml
@@ -1658,6 +1658,11 @@
     <String id="19149">Filtreler</String>
     <String id="19150">Adaylar</String>
     <String id="19151">Adayları ekle/kaldır</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
     <String id="25001">Sayfa bekleniyor {0:X}...!</String>
     <String id="30000">Müzik Videoları</String>
     <String id="30001">En çok istenilen</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_uk.xml b/mediaportal/MediaPortal.Base/language/strings_uk.xml
index 5cbca3c..6b56f53 100644
--- a/mediaportal/MediaPortal.Base/language/strings_uk.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_uk.xml
@@ -1774,6 +1774,11 @@
     <String id="19149">Фільтри</String>
     <String id="19150">Кандидати</String>
     <String id="19151">Додати/видалити кандидатів</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
     <String id="25001">Чекаю сторінку {0:X}...!</String>
     <String id="30000" prefix="Моє ">Музичне відео</String>
     <String id="30001">Найбажаніші</String>
diff --git a/mediaportal/MediaPortal.Base/language/strings_zh-CN.xml b/mediaportal/MediaPortal.Base/language/strings_zh-CN.xml
index 385489e..b6bf9ce 100644
--- a/mediaportal/MediaPortal.Base/language/strings_zh-CN.xml
+++ b/mediaportal/MediaPortal.Base/language/strings_zh-CN.xml
@@ -1474,6 +1474,11 @@
     <String id="19149">过滤</String>
     <String id="19150">关键字</String>
     <String id="19151">添加/删除关键字</String>
+    <String id="20000">ddd dd-MM</String>
+    <String id="20001">dd-MM</String>
+    <String id="20002">dd-MM-yyyy HH:mm:ss</String>
+    <String id="20003">dd/MM/yyyy hh:mm:ss</String>
+    <String id="20004">dd/MM/yyyy hh:mm t</String>
     <String id="25001">等待页面中{0:X}...!</String>
     <String id="30000" prefix="我的">MTV</String>
     <String id="30001">最受欢迎</String>
